#!/usr/bin/ruby
#
# Turing -- Ruby implementation of Captcha
#
# Copyright © 2005 Michal Šafránek <wejn@box.cz>
#
# This file is part of http://turing.rubyforge.org/
#
# Turing is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#

# == Turing module
# This module contains three classes (built on top of each other) that might
# be used independently:
# * Turing::Image: Simple obfuscated image generator with plugin design.
# * Turing::Challenge: Captcha challenge generator and verifier.
# * Turing::CGIHandler: Simple Turing::Challenge wrapper designed to run as CGI.
module Turing # {{{
	VERSION = "0.0.11".freeze
end # }}}

require 'turing/image'
require 'turing/challenge'
require 'turing/cgi_handler'

# vim: set ts=4 sw=4 :
