#
# Turing -- Ruby implementation of Captcha
#
# Copyright © 2005 Michal Šafránek <wejn@box.cz>
#
# This file is part of http://turing.rubyforge.org/
#
# See turing.rb in lib/ directory for license terms.
#

# == Random Noise turing test
# Generates random black noise, then text, then random white noise.
class Turing::Image::RandomNoise < Turing::Image # {{{
	# contract method - generate the challenge
	def generate(img, word, bg = nil) # {{{
		fg = GD2::Color[255, 255, 255]
		bg = GD2::Color[0, 0, 0]
		
		0.upto(img.width * img.height * 0.4) do |i|
			img[rand(img.width), rand(img.height)] = bg
		end

		write_string(img, 'georgiai.ttf', bg, word, 48)
		
		quant = word.size > 7 ? 0.1 : 0.2
		0.upto(img.width * img.height * quant) do |i|
			img[rand(img.width), rand(img.height)] = fg
		end
	end # }}}
end # }}}

# vim: set ts=4 sw=4 :
