#!/usr/bin/ruby
#
# Turing -- Ruby implementation of Captcha
#
# Copyright © 2005 Michal Šafránek <wejn@box.cz>
#
# This file is part of http://turing.rubyforge.org/
#
# See turing.rb in lib/ directory for license terms.
#

# This file demonstrates how to use Turing::Image
# to generate image using various methods.
#
# And how to create and use your own plugin

require 'rubygems'
gem 'turing'
require 'turing'

# Default options
ti = Turing::Image.new

# Create some images
3.times do |i|
	ti.generate(File.join(Dir.getwd, i.to_s + '.jpg'), "randomword")
end

# Now create small images using Spiral plugin
ti_small = Turing::Image.new(:width => 100, :height => 50, :outdir => '.')
ti_small.generate('small.jpg', 'small', Turing::Image::Spiral)

# Create plugin
class BlankMethod < Class.new(Turing::Image)
	def initialize(opts = {})
		super(opts)
	end

	def generate(img, word)
		write_string(img, 'cour.ttf', GD2::Color[0, 0, 0], "someword", 48)
		write_string(img, 'cour.ttf', GD2::Color[255, 0, 0, 50.percent], "blankmethod", 14)
	end
end

# Use it exclusively
ti.generate(File.join(Dir.getwd, 'blank.jpg'), 'blank', BlankMethod)

# vim: set ts=4 sw=4 :
